import * as OpenApiV2 from './OpenApiV2';
import * as OpenApiV3 from './OpenApiV3';
export declare type Document = OpenApiV2.Document | OpenApiV3.Document;
export declare type Operation = OpenApiV2.OperationObject | OpenApiV3.OperationObject;
export declare type Parameter = OpenApiV3.ReferenceObject | OpenApiV3.ParameterObject | OpenApiV2.ReferenceObject | OpenApiV2.Parameter;
export declare type Parameters = (OpenApiV3.ReferenceObject | OpenApiV3.ParameterObject)[] | (OpenApiV2.ReferenceObject | OpenApiV2.Parameter)[];
export interface Request {
    body?: any;
    headers?: Record<string, unknown>;
    params?: Record<string, unknown>;
    query?: Record<string, unknown>;
}
